PamCut: LTQualCut Class Reference

# LTQualCut Class Reference

The live-time data quality cut: rejects the first event of each run and events with LT greater than an upper threshold (or with LT smaller than 0). More...

`#include <LTQualCut.h>`

Inheritance diagram for LTQualCut:

List of all members.

## Public Member Functions
| LTQualCut (const char *cutName, float threshold=4500)
| Constructor.
| ~LTQualCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The live time quality check.
float | GetLT ()
| Returns the live time of the last examined event.
## Private Attributes
unsigned int | _previousRun
float | _LT
float | _timeout

## Detailed Description

The live-time data quality cut: rejects the first event of each run and events with LT greater than an upper threshold (or with LT smaller than 0).

Definition at line 24 of file LTQualCut.h.

## Constructor & Destructor Documentation

LTQualCut::LTQualCut | ( | const char * | cutName,
|  | float | threshold = `4500` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | threshold | The live time maximum accepted value in ms. It is the value above which a live time is considered invalid. It must be less than the trigger timeout on IDAQ board, which is ~ 4600 ms. Default is 4500 (use of different values must be justified).

Definition at line 34 of file LTQualCut.h.

LTQualCut::~LTQualCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 38 of file LTQualCut.h.

## Member Function Documentation

int LTQualCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The live time quality check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if LT < timeout.

  LT_INVALID if LT > timeout.

  LT_NEWRUN if the event is at the beginning of the run.

Implements PamCut.

Definition at line 12 of file LTQualCut.cpp.

References _LT, _previousRun, _timeout, CUTOK, LT_INVALID, and LT_NEWRUN.

float LTQualCut::GetLT | ( |  | ) | `[inline]`

Returns the live time of the last examined event.

Returns:
  The live time of the last examined event in ms (-1 -> first event of the run).

Definition at line 54 of file LTQualCut.h.

References _LT.

## Member Data Documentation

float LTQualCut::_LT`[private]`

Definition at line 58 of file LTQualCut.h.

Referenced by Check(), and GetLT().

unsigned int LTQualCut::_previousRun`[private]`

Definition at line 57 of file LTQualCut.h.

Referenced by Check().

float LTQualCut::_timeout`[private]`

Definition at line 59 of file LTQualCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- MiscCuts/LTQualCut/LTQualCut.h
- MiscCuts/LTQualCut/LTQualCut.cpp